"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const BatchGetImage_1 = require("../model/operations/BatchGetImage");
class BatchGetImageCommand {
    constructor(input) {
        this.input = input;
        this.model = BatchGetImage_1.BatchGetImage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.BatchGetImageCommand = BatchGetImageCommand;
//# sourceMappingURL=BatchGetImageCommand.js.map