"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const InitiateLayerUpload_1 = require("../model/operations/InitiateLayerUpload");
class InitiateLayerUploadCommand {
    constructor(input) {
        this.input = input;
        this.model = InitiateLayerUpload_1.InitiateLayerUpload;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.InitiateLayerUploadCommand = InitiateLayerUploadCommand;
//# sourceMappingURL=InitiateLayerUploadCommand.js.map