"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteRepositoryInput_1 = require("../shapes/DeleteRepositoryInput");
const DeleteRepositoryOutput_1 = require("../shapes/DeleteRepositoryOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const RepositoryNotEmptyException_1 = require("../shapes/RepositoryNotEmptyException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRepository = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRepository",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRepositoryInput_1.DeleteRepositoryInput
    },
    output: {
        shape: DeleteRepositoryOutput_1.DeleteRepositoryOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: RepositoryNotEmptyException_1.RepositoryNotEmptyException
        }
    ]
};
//# sourceMappingURL=DeleteRepository.js.map