"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDownloadUrlForLayerInput_1 = require("../shapes/GetDownloadUrlForLayerInput");
const GetDownloadUrlForLayerOutput_1 = require("../shapes/GetDownloadUrlForLayerOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const LayersNotFoundException_1 = require("../shapes/LayersNotFoundException");
const LayerInaccessibleException_1 = require("../shapes/LayerInaccessibleException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDownloadUrlForLayer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDownloadUrlForLayer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDownloadUrlForLayerInput_1.GetDownloadUrlForLayerInput
    },
    output: {
        shape: GetDownloadUrlForLayerOutput_1.GetDownloadUrlForLayerOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: LayersNotFoundException_1.LayersNotFoundException
        },
        {
            shape: LayerInaccessibleException_1.LayerInaccessibleException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=GetDownloadUrlForLayer.js.map