"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetRepositoryPolicyInput_1 = require("../shapes/GetRepositoryPolicyInput");
const GetRepositoryPolicyOutput_1 = require("../shapes/GetRepositoryPolicyOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const RepositoryPolicyNotFoundException_1 = require("../shapes/RepositoryPolicyNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRepositoryPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRepositoryPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetRepositoryPolicyInput_1.GetRepositoryPolicyInput
    },
    output: {
        shape: GetRepositoryPolicyOutput_1.GetRepositoryPolicyOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: RepositoryPolicyNotFoundException_1.RepositoryPolicyNotFoundException
        }
    ]
};
//# sourceMappingURL=GetRepositoryPolicy.js.map