"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UploadLayerPartInput_1 = require("../shapes/UploadLayerPartInput");
const UploadLayerPartOutput_1 = require("../shapes/UploadLayerPartOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const InvalidLayerPartException_1 = require("../shapes/InvalidLayerPartException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const UploadNotFoundException_1 = require("../shapes/UploadNotFoundException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UploadLayerPart = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UploadLayerPart",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UploadLayerPartInput_1.UploadLayerPartInput
    },
    output: {
        shape: UploadLayerPartOutput_1.UploadLayerPartOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidLayerPartException_1.InvalidLayerPartException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: UploadNotFoundException_1.UploadNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=UploadLayerPart.js.map